## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Label

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  org.apache.tools.ant.taskdefs.optional.perforce.P4Label

public class P4Label
extends P4Base

Creates a new Perforce label and set contents to reflect current client file revisions. Label name defaults to AntLabel if none set. Example Usage:

       <P4Label name="MyLabel-${TSTAMP}-${DSTAMP}" desc="Auto Build Label" />

Author:
  Les Hughes

Field Summary
`protected java.lang.String` `desc`
`protected java.lang.String` `lock`
`protected java.lang.String` `name`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`P4Label()`

Method Summary
`void` `execute()` do the work
`void` `setDesc(java.lang.String desc)` Label Description; optional
`void` `setLock(java.lang.String lock)` when set to "locked", Perforce will lock the label once created; optional.
`void` `setName(java.lang.String name)` The name of the label; optional, default "AntLabel"

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, init, setClient, setCmdopts, setFailonerror, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### desc

    protected java.lang.String desc

### lock

    protected java.lang.String lock

Constructor Detail

### P4Label

    public P4Label()

Method Detail

### setName

    public void setName(java.lang.String name)

  The name of the label; optional, default "AntLabel"

### setDesc

    public void setDesc(java.lang.String desc)

  Label Description; optional

### setLock

    public void setLock(java.lang.String lock)

  when set to "locked", Perforce will lock the label once created; optional.

### execute

    public void execute()
                 throws BuildException

  do the work

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.